{
  "name": "q-hq-dapp",
  "version": "1.0.0-rc.20",
  "private": true,
  "scripts": {
    "start": "vite",
    "build": "vite build",
    "preview": "vite preview",
    "i18n:compile": "node scripts/compileLangs.js",
    "patch-version": "npm version patch -m \"Upgrade to %s\"",
    "postversion": "git push && git push --tags",
    "lint": "eslint \"src/**/*.{js,ts,jsx,tsx}\" --max-warnings 0",
    "lint:fix": "yarn lint --fix",
    "analyze": "cross-env VITE_MODE=analyze vite build"
  },
  "dependencies": {
    "@coinbase/wallet-sdk": "^3.3.0",
    "@mdi/font": "^6.7.96",
    "@metamask/jazzicon": "^2.0.0",
    "@popperjs/core": "^2.11.5",
    "@q-dev/q-js-sdk": "^2.0.0-rc.0",
    "@reduxjs/toolkit": "^1.8.3",
    "@sentry/react": "^6.19.1",
    "@sentry/tracing": "^6.19.1",
    "@walletconnect/ethereum-provider": "^1.7.8",
    "@walletconnect/jsonrpc-http-connection": "^1.0.2",
    "@walletconnect/jsonrpc-provider": "^1.0.5",
    "@web3-react/coinbase-wallet": "8.0.33-beta.0",
    "@web3-react/core": "8.0.33-beta.0",
    "@web3-react/eip1193": "8.0.25-beta.0",
    "@web3-react/empty": "8.0.19-beta.0",
    "@web3-react/metamask": "8.0.26-beta.0",
    "@web3-react/network": "8.0.26-beta.0",
    "@web3-react/types": "8.0.19-beta.0",
    "@web3-react/url": "8.0.24-beta.0",
    "@web3-react/walletconnect": "8.0.34-beta.0",
    "bignumber.js": "^9.0.1",
    "buffer": "^6.0.3",
    "chart.js": "^3.8.0",
    "copy-to-clipboard": "^3.3.1",
    "date-fns": "^2.28.0",
    "eventemitter3": "^4.0.7",
    "framer-motion": "^4.1.17",
    "i18next": "^21.8.10",
    "i18next-browser-languagedetector": "^6.1.4",
    "lodash": "^4.17.21",
    "process": "^0.11.10",
    "react": "^17.0.1",
    "react-alert": "^7.0.3",
    "react-bootstrap-table-next": "^4.0.3",
    "react-bootstrap-table2-paginator": "^2.1.2",
    "react-bootstrap-table2-toolkit": "^2.1.3",
    "react-chartjs-2": "^4.2.0",
    "react-content-loader": "^6.0.3",
    "react-datepicker": "^3.8.0",
    "react-dom": "^17.0.1",
    "react-hotkeys-hook": "^3.4.6",
    "react-i18next": "^11.17.2",
    "react-redux": "^7.2.2",
    "react-router": "^5.2.0",
    "react-router-dom": "^5.2.0",
    "redux": "^4.0.5",
    "stream-browserify": "^3.0.0",
    "styled-components": "^5.2.1",
    "timeago.js": "^4.0.2",
    "web3": "^1.7.0",
    "web3-eth-contract": "^1.7.4",
    "web3-utils": "^1.7.5"
  },
  "devDependencies": {
    "@babel/core": "^7.18.6",
    "@babel/preset-env": "^7.18.6",
    "@types/lodash": "^4.14.182",
    "@types/node": "^17.0.44",
    "@types/react": "^18.0.12",
    "@types/react-alert": "^7.0.2",
    "@types/react-bootstrap-table-next": "^4.0.18",
    "@types/react-bootstrap-table2-paginator": "^2.1.2",
    "@types/react-bootstrap-table2-toolkit": "^2.1.7",
    "@types/react-datepicker": "^4.4.2",
    "@types/react-dom": "^18.0.5",
    "@types/react-router-dom": "^5.3.3",
    "@types/styled-components": "^5.1.25",
    "@typescript-eslint/eslint-plugin": "^5.17.0",
    "@typescript-eslint/parser": "^5.17.0",
    "@vitejs/plugin-react": "^1.3.2",
    "browserify-zlib": "^0.2.0",
    "cross-env": "^7.0.3",
    "dotenv": "^16.0.1",
    "eslint": "^7.11.0",
    "eslint-config-standard": "^16.0.3",
    "eslint-plugin-import": "^2.26.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^5.0.0",
    "eslint-plugin-react": "^7.29.4",
    "eslint-plugin-react-hooks": "^4.5.0",
    "eslint-plugin-simple-import-sort": "^7.0.0",
    "eslint-plugin-unused-imports": "^1.1.5",
    "google-spreadsheet": "^3.3.0",
    "react-error-overlay": "6.0.9",
    "rollup-plugin-visualizer": "^5.7.1",
    "typescript": "^4.7.3",
    "vite": "^2.9.9",
    "vite-plugin-checker": "^0.4.6",
    "vite-plugin-eslint": "^1.6.1"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
